Множественные уязвимости в Wireshark

Дата публикации:
02.08.2010
Дата изменения:
02.08.2010
Всего просмотров:
1577
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
4
CVSSv2 рейтинг:
(AV:N/AC:M/Au:N/C:C/I:C/A:C/E:U/RL:O/RC:C) = Base:9.3/Temporal:6.9
(AV:N/AC:M/Au:N/C:C/I:C/A:C/E:U/RL:O/RC:C) = Base:9.3/Temporal:6.9
(AV:N/AC:M/Au:N/C:N/I:N/A:C/E:U/RL:O/RC:C) = Base:7.1/Temporal:5.3
(AV:N/AC:M/Au:N/C:N/I:N/A:C/E:U/RL:O/RC:C) = Base:7.1/Temporal:5.3
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Отказ в обслуживании
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Wireshark 1.x
Уязвимые версии: Wireshark версии до 1.0.15 и 1.2.10

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю вызвать отказ в обслуживании и скомпрометировать целевую систему.

1. Уязвимость существует из-за ошибки завышения на единицу в SigComp Universal Decompressor Virtual Machine. Уязвимость относится к:
www.securitylab.ru/vulnerability/394649.php #5

2. Уязвимость существует из-за ошибки в "ASN.1 BER" диссекторе. Удаленный пользователь может вызвать переполнение стека. Уязвимость относится к:
www.securitylab.ru/vulnerability/394649.php #2

3. Уязвимость существует из-за ошибки разыменования нулевого указателя в диссекторе "GSM A RR". Удаленный пользователь может вызвать отказ в обслуживании приложения. Уязвимости подвержены только версии 1.2.x.

4. Уязвимость существует из-за ошибки в "IPMI" диссекторе. Удаленный пользователь может вызвать зацикливание приложения. Уязвимости подвержены только версии 1.2.x.

URL производителя: www.wireshark.org

Решение: Установите последнюю версию 1.0.15 или 1.2.10 с сайта производителя.

Ссылки: http://www.wireshark.org/security/wnpa-sec-2010-07.html
http://www.wireshark.org/security/wnpa-sec-2010-08.html

или введите имя

CAPTCHA